Bug 1273975 - oc edit doesn't work on windows
oc edit doesn't work on windows
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
3.0.0
Unspecified Windows
unspecified Severity urgent
: ---
: ---
Assigned To: Fabiano Franz
Wei Sun
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-21 11:57 EDT by Grant Shipley
Modified: 2015-11-23 09:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 09:25:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Grant Shipley 2015-10-21 11:57:04 EDT
Description of problem:

When running oc edit on a windows machine, the file is opened inside of the default editor on most (99.9%) of machines.  A couple of problems:
1* the file is not wordwrapped which makes in extremely hard to edit
2* when done making changes, the file will not save with an error message that the file is already in use by another process.


Version-Release number of selected component (if applicable):
3.0.1
oc tool 3.0.1.0

How reproducible:
everytime

Steps to Reproduce:
1. edit a object on windows
2. make changes
3. click save
4. see error message

Actual results:
File can not be saved.

Expected results:
Same behavior on Linux / OSX where the file is saved and applied.

Additional info:
Comment 3 Xingxing Xia 2015-10-26 03:30:00 EDT
I verified this issue against windows. Versions are:
oc v3.0.2.903-29-g49953d6
kubernetes v1.2.0-alpha.1-1107-g4c8e6f4

The bug is fixed. oc edit can display and save the file well, like linux.
So I move the bug to VERIFIED.
Comment 4 Brenton Leanhardt 2015-11-23 09:25:03 EST
This fix is available in OpenShift Enterprise 3.1.

Note You need to log in before you can comment on or make changes to this bug.